#include <iostream>

using namespace std;

int main()
{
    int n;
    cin >> n;
    double a[n];
    double p[n];
    double plata = 0, plat = 0;
    double brmax = 0, br = 0;
    for(int i = 0; i < n; i++){
        cin >> a[i] >> p[i];
    }
    for(int i = 0; i < n; i++){
        plata = 0;
        for(int j = 0; j < n; j++){
            if(p[j] >= p[i])
                plata += a[j];
        }
        br = plata*p[i]/100;
        if(br > brmax)
            brmax = br;
    }
    printf("%0.3f\n", brmax);
    return 0;
}